/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Network1::Server -i server.h -i configurationstype.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#include "adaptor.h"
#include <QtCore/QMetaObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>

/*
 * Implementation of adaptor class Network1Adaptor
 */

Network1Adaptor::Network1Adaptor(Oscl::Qt::DBus::BlueZ::Mesh::Network1::Server *parent)
    : QDBusAbstractAdaptor(parent)
{
    // constructor
    setAutoRelaySignals(true);
}

Network1Adaptor::~Network1Adaptor()
{
    // destructor
}

QDBusObjectPath Network1Adaptor::Attach(const QDBusObjectPath &app_root, qulonglong token, Oscl::Qt::DBus::BlueZ::Mesh::Network1::ConfigurationsType &configuration)
{
    // handle method call org.bluez.mesh.Network1.Attach
    return parent()->Attach(app_root, token, configuration);
}

void Network1Adaptor::Cancel()
{
    // handle method call org.bluez.mesh.Network1.Cancel
    parent()->Cancel();
}

void Network1Adaptor::CreateNetwork(const QDBusObjectPath &app_root, const QByteArray &uuid)
{
    // handle method call org.bluez.mesh.Network1.CreateNetwork
    parent()->CreateNetwork(app_root, uuid);
}

void Network1Adaptor::Import(const QDBusObjectPath &app_root, const QByteArray &uuid, const QByteArray &dev_key, const QByteArray &net_key, ushort net_index, const QVariantMap &flags, uint iv_index, ushort unicast)
{
    // handle method call org.bluez.mesh.Network1.Import
    parent()->Import(app_root, uuid, dev_key, net_key, net_index, flags, iv_index, unicast);
}

void Network1Adaptor::Join(const QDBusObjectPath &app_root, const QByteArray &uuid)
{
    // handle method call org.bluez.mesh.Network1.Join
    parent()->Join(app_root, uuid);
}

void Network1Adaptor::Leave(qulonglong token)
{
    // handle method call org.bluez.mesh.Network1.Leave
    parent()->Leave(token);
}

